#!/bin/sh
mode=$(cat /root/.func/netmode)
if [ "$mode" = "ETH" ]
then
  ip=$(ifconfig eth0|grep netmask|awk -F' ' '{print $2}')
else
  ip=$(ifconfig wlan0|grep netmask|awk -F' ' '{print $2}')
fi

if [ "$ip" = "" ]
then
  echo "no ip found"
fi 
echo $ip

o_ip=$(cat /root/tts/config/stack/ttn-lw-stack-docker.yml|grep "base-url"|head -1|awk -F'/' '{print $3}')
echo $o_ip
sed -i "s/${o_ip}/${ip}/g"  ./*.json
sed -i "s/${o_ip}/${ip}/g" /root/tts/config/stack/ttn-lw-stack-docker.yml

cfssl genkey -initca ca.json | cfssljson -bare ca
cfssl gencert -ca ca.pem -ca-key ca-key.pem cert.json | cfssljson -bare cert
mv cert-key.pem key.pem
chown 886:886 ./cert.pem ./key.pem ./acme
exit
docker-compose pull
docker-compose run --rm stack is-db migrate
docker-compose run --rm stack is-db create-admin-user \
  --id admin \
  --email your@email.com

SERVER_ADDRESS=$ip
ID="console"
NAME="Console"
CLIENT_SECRET="console"
REDIRECT_URI="${SERVER_ADDRESS}/console/oauth/callback"
REDIRECT_PATH="/console/oauth/callback"
LOGOUT_REDIRECT_URI="${SERVER_ADDRESS}/console"
LOGOUT_REDIRECT_PATH="/console"
docker-compose run --rm stack is-db create-oauth-client \
  --id ${ID} \
  --name "${NAME}" \
  --owner admin \
  --secret "${CLIENT_SECRET}" \
  --redirect-uri "${REDIRECT_URI}" \
  --redirect-uri "${REDIRECT_PATH}" \
  --logout-redirect-uri "${LOGOUT_REDIRECT_URI}" \
  --logout-redirect-uri "${LOGOUT_REDIRECT_PATH}"



